import { ObjectId } from 'mongodb';
import { Database } from './Database';
import { AppConfig } from './config';
export interface CollectionToImport {
    name: string;
    directoryName: string;
    directoryPath: string;
    shouldCreate: boolean;
}
export declare class DataImporter {
    db: Database;
    static DIRECTORY_NAME_PATTERN_SEPARATOR: string;
    constructor(db: Database);
    importData(config: AppConfig): Promise<void>;
    getCollectionsToImport(inputDirectory: string, existingCollections?: string[]): CollectionToImport[];
    importCollection(collectionName: string, collectionPath: string, config: AppConfig): Promise<void>;
    getCollectionToImport(collectionDirectory: string, existingCollections: string[], inputDirectory: string): CollectionToImport;
    shouldCreateCollection(collection: string, existingCollections?: string[]): boolean;
    getCollectionName(directoryName: string): string;
    replaceDocumentIdWithUnderscoreId(documents: Array<{
        id?: string | ObjectId;
    }>): {
        id?: string | ObjectId | undefined;
    }[];
}
