import { MongoClient } from 'mongodb';
import { Database } from './Database';
import { DatabaseConfig } from './config';
export declare class DatabaseConnector {
    client: MongoClient;
    static CONNECTION_REFUSED_ERROR_CODE: string;
    static DEFAULT_RECONNECT_TIMEOUT: number;
    constructor(client: MongoClient);
    connect(dbConfig: DatabaseConfig, reconnectTimeout?: number): Promise<Database>;
    close(): Promise<void>;
    getDbConnectionUri: ({host, port, name, protocol}: DatabaseConfig) => string;
}
