"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
const DatabaseConnector_1 = require("./DatabaseConnector");
const DataImporter_1 = require("./DataImporter");
const logger_1 = require("./logger");
const mongodb_1 = require("mongodb");
exports.seedDatabase = (partialConfig) => __awaiter(this, void 0, void 0, function* () {
    const config = config_1.getConfig(partialConfig);
    logger_1.log('Starting...');
    const databaseConnector = new DatabaseConnector_1.DatabaseConnector(new mongodb_1.MongoClient());
    try {
        const database = yield databaseConnector.connect(config.database, config.reconnectTimeout);
        if (config.dropDatabase) {
            yield database.drop();
        }
        yield new DataImporter_1.DataImporter(database).importData(config);
    }
    catch (err) {
        console.error(err);
    }
    yield databaseConnector.close();
    logger_1.log('Finishing...');
});
//# sourceMappingURL=index.js.map